<html>
    <head>
        <script src="https://code.jquery.com/jquery-1.11.1.js"></script>
    </head>
    <body>
        <button id="abc">Click me!</button><br/>
        <canvas id="canvasid" width="10000" height="10000"></canvas>
        <script type="text/javascript">
            jQuery('document').ready(function(){
                jQuery("#abc").on('click', function(){
                    navigator.clipboard.readText().then(
                        clipText => {
                            var canvas = document.getElementById('canvasid');
                            var context = canvas.getContext('2d');
                            context.clearRect(0, 0, canvas.width, canvas.height);
                            context.font = '15px Calibri';
                            context.fillStyle = '#555555';
                            // console.log(clipText)
                            a = clipText.split("\n")
                            y = 50
                            a.forEach(e => {
                                console.log(e)
                                context.fillText(e, 0, y);
                                y += 20;
                            });

                        }
                    );
                    // alert('abc');
                });
            });
        </script>
    </body>
</html>